Get Comments
/unified/ticketing/comments/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The unique identifier for a workspace
2 supported2 required
The unique identifier for a collection
1 supported1 required
The unique identifier for a ticket
2 supported2 required
The ticket to which the comment belongs
20 supported5 required3 notes
The unique identifier for a ticket
The unique identifier for a ticket
Set either ticket or collections.
The unique identifier for a ticket
The unique identifier for a workspace
1 supported1 required
2 supported1 required2 notes
The unique identifier for a ticket
Collection with type epic is required.
The unique identifier for a collection.
Whether the comment is internal. True for internal notes left by users.
true
8 supported2 notes
Set this value as true to get internal comments.
Set this value as true if the comment is internal.
The conversation to retrieve the comments for.
1 supported1 required
The unique identifier for the conversation.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for a comment
22 supported
The attachments of the comment
11 supported
The content type of the attachment
The time when the attachment was created
The attachment's name.
The URL to download the attachment
The unique identifier for the attachment
The user who uploaded the attachment
2 properties
The user who uploaded the attachment
The user who uploaded the attachment
The type of the user who uploaded the attachment
The id of the user or contact who created the comment
20 supported
The id of the user or contact who created the comment
Type of the author
usercontactsystem
The name of the user or contact who created the comment
The username of the user or contact who created the comment
The body of the comment
20 supported
The medium through which the comment was sent.
3 supported
The unique identifier for the channel
The name of the channel
The type of the channel
The date and time when the comment was created
21 supported
The unique identifier for the specific version of the resource.
The body of the comment in HTML format
12 supported
Whether the comment is internal. True for internal notes left by users.
8 supported
Whether the comment is private or not
8 supported
The id of the user or contact who is receiving the comment
3 supported
The id of the user or contact who receiving the comment
Type of the receiver
usercontactsystem
The name of the user or contact who receiving the comment
Raw data returned from the remote API call.
The ticket to which the comment belongs
20 supported
The unique identifier for a ticket
The date and time when the comment was updated
16 supported
curl -X GET 'https://api.truto.one/unified/ticketing/comments/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/comments/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/comments/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ticketing',
'comments',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ticketing",
"comments",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())